cordova.define("com.lisaview.wewer.openapi.WewerOpenApi", function(require, exports, module) {
var exec = require('cordova/exec');

exports.isInstalled = function (success, error) {
    exec(success, error, 'WewerOpenApi', 'isInstalled', []);
};

exports.isRunning = function (success, error) {
    exec(success, error, 'WewerOpenApi', 'isRunning', []);
};

exports.getUserIdentity = function (success, error) {
    exec(success, error, 'WewerOpenApi', 'getUserIdentity', []);
};

exports.checkToken = function (accessToken, success, error) {
    exec(success, error, 'WewerOpenApi', 'checkToken', [accessToken]);
};

exports.syncPersonal = function (accessToken, success, error) {
    exec(success, error, 'WewerOpenApi', 'syncPersonal', [accessToken]);
};

exports.gotoFloatSetting = function (accessToken, success, error) {
    exec(success, error, 'WewerOpenApi', 'gotoFloatSetting', [accessToken]);
};

exports.gotoAutoCloseSetting = function (accessToken, success, error) {
    exec(success, error, 'WewerOpenApi', 'gotoAutoCloseSetting', [accessToken]);
};

exports.clearWechatCache = function (accessToken, success, error) {
    exec(success, error, 'WewerOpenApi', 'clearWechatCache', [accessToken]);
};

exports.useActiveCode = function (accessToken, strActiveCode, success, error) {
    exec(success, error, 'WewerOpenApi', 'useActiveCode', [accessToken, strActiveCode]);
};

exports.getFriend = function (accessToken, success, error) {
    exec(success, error, 'WewerOpenApi', 'getFriend', [accessToken]);
};

exports.addFriend = function (accessToken, strFriends, success, error) {
    exec(success, error, 'WewerOpenApi', 'addFriend', [accessToken, strFriends]);
};

exports.getGroup = function (accessToken, success, error) {
    exec(success, error, 'WewerOpenApi', 'getGroup', [accessToken]);
};

exports.addGroup = function (accessToken, strQrCodePaths, success, error) {
    exec(success, error, 'WewerOpenApi', 'addGroup', [accessToken, strQrCodePaths]);
};

exports.getFriendZone = function (accessToken, iStartIndex, iEndIndex, strStartDate, strEndDate, success, error) {
    exec(success, error, 'WewerOpenApi', 'getFriendZone', [accessToken, iStartIndex, iEndIndex, strStartDate, strEndDate]);
};

exports.imageForward = function (accessToken, strText, strImagePaths, success, error) {
    exec(success, error, 'WewerOpenApi', 'imageForward', [accessToken, strText, strImagePaths]);
};

exports.videoForward = function (accessToken, strText, strVideoPath, success, error) {
    exec(success, error, 'WewerOpenApi', 'videoForward', [accessToken, strText, strVideoPath]);
};

exports.textSendToAllUser = function (accessToken, strText, success, error) {
    exec(success, error, 'WewerOpenApi', 'textSendToAllUser', [accessToken, strText]);
};

exports.imageSendToAllUser = function (accessToken, strImagePath, success, error) {
    exec(success, error, 'WewerOpenApi', 'imageSendToAllUser', [accessToken, strImagePath]);
};

exports.videoSendToAllUser = function (accessToken, strVideoPath, success, error) {
    exec(success, error, 'WewerOpenApi', 'videoSendToAllUser', [accessToken, strVideoPath]);
};

exports.textSendToAllGroup = function (accessToken, strText, success, error) {
    exec(success, error, 'WewerOpenApi', 'textSendToAllGroup', [accessToken, strText]);
};

exports.imageSendToAllGroup = function (accessToken, strImagePath, success, error) {
    exec(success, error, 'WewerOpenApi', 'imageSendToAllGroup', [accessToken, strImagePath]);
};

exports.videoSendToAllGroup = function (accessToken, strVideoPath, success, error) {
    exec(success, error, 'WewerOpenApi', 'videoSendToAllGroup', [accessToken, strVideoPath]);
};

});
